Bug 1734919

Summary: abiword: FTBFS in Fedora rawhide/f31
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: abiwordAssignee: R P Herrold <herrold>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: dsd, herrold, jaberan, lbalhar, uwog
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1698500, 1700317, 1739058, 1732841    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Fedora Release Engineering 2019-07-31 16:57:45 UTC
abiword failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36631895


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix abiword at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
abiword will be orphaned. Before branching of Fedora 32,
abiword will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 16:57:48 UTC
Created attachment 1595325 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 16:57:50 UTC
Created attachment 1595326 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 16:57:51 UTC
Created attachment 1595327 [details]
state.log

Comment 4 R P Herrold 2019-07-31 20:49:08 UTC
This appears to be a not yet build dependency

DEBUG util.py:585:  BUILDSTDERR: Error: 
DEBUG util.py:585:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:585:  BUILDSTDERR:   - nothing provides pkgconfig(mathmlview-backend-gtk) needed by gtkmathview-devel-0.8.0-27.fc31.armv7hl
DEBUG util.py:587:  (try to add '--skip-broken' to skip uninstallable packages)

I will re-submit it next week

Comment 5 R P Herrold 2019-07-31 21:26:31 UTC
later duplicated by #1735439

Comment 6 Jan Beran 2019-08-13 09:29:32 UTC
Can I ask you what is the status of the bug now? I am converting Abiword into flatpak and I have the same problem with gtkmathview and cannot continue.

Comment 7 R P Herrold 2019-08-13 15:07:08 UTC
(In reply to Jan Beran from comment #6)
> Can I ask you what is the status of the bug now? I am converting Abiword
> into flatpak and I have the same problem with gtkmathview and cannot
> continue.

Let me chase down gtkmathview and see what's up

As mentioned above I wanted to wait a week to see if it shook itself out, as it looked like a build dependency sequencing issue what would resolve over time

Comment 8 R P Herrold 2019-08-13 15:52:35 UTC
a change in sending up test builds has occurred -- working on how to get working again

Comment 9 Ben Cotton 2019-08-13 17:02:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 10 Ben Cotton 2019-08-13 17:04:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 11 R P Herrold 2019-08-22 22:10:17 UTC
*** Bug 1738811 has been marked as a duplicate of this bug. ***

Comment 12 Lumír Balhar 2019-08-30 05:57:54 UTC
Any news here?

Comment 13 Lumír Balhar 2019-09-06 08:10:57 UTC
Do you need any help?

Comment 14 Lumír Balhar 2019-09-16 18:56:06 UTC
Could you please respond?

Comment 15 Lumír Balhar 2019-09-26 06:46:39 UTC
I think we should start the nonresponsive maintainer policy.

Comment 16 R P Herrold 2019-09-26 21:39:03 UTC
The issue causing delay is one of a change at Fedora as to building test cases.  Not documented at all well as to the new flow process such that I am 'feeling my way' through it

This has required me to set up a local infra to do test builds.  The delay in getting RHEL 8 / Centos 8, which will host the 'latest and greatest' Fedora build infra

as to comment 15, I think you should be patient.  

I don't like being hammered with three identical FTBFS because your tool cannot be bothered to:
    | sort | uniq

Go fix that it you wish to do something productive, rather than act like a Project Manager 

-- Russ herrold

Comment 17 Lumír Balhar 2019-10-04 12:22:43 UTC
Well, be responsive more than once in a month would help but nevermind, let us know if you need any help with abiword.

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, please orphan the package.
If you want to maintain the package but not the Python 2 part, either coordinate with packages that depend on this one, or let us know.

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions